package game.playState {
	import net.flashpunk.Entity;
	import net.flashpunk.Graphic;
	import net.flashpunk.Mask;
	
	public class PlaystateEntity extends Entity {
		protected var playState:PlayState;
		
		public function PlaystateEntity(playState:PlayState, x:Number=0, y:Number=0, graphic:Graphic=null, mask:Mask=null) {
			super(x, y, graphic, mask);
			
			this.playState = playState;
		}
		
		override public function update():void {
			if (!playState.running)
				return;
			
			super.update();
			updateIfRunning();
		}
		
		protected function updateIfRunning():void {
		}
		
		public function removeMe():void {
			playState.remove(this);
			active = false;
		}
	}
}