package game.playState
{
	import net.flashpunk.Graphic;
	import net.flashpunk.Mask;
	import net.flashpunk.graphics.Emitter;
	
	public class TemporaryEmitter extends PlaystateEntity
	{
		protected var emitter:Emitter;
		
		public function TemporaryEmitter(playState:PlayState, emitter:Emitter, layer:int)
		{
			super(playState, 0, 0, emitter);
			
			this.emitter = emitter;
			this.layer = layer;
		}
		
		override public function update():void
		{
			if (emitter.particleCount == 0)
				removeMe();
		}
	}
}