package helper
{
	public class ColorHelper
	{
		public static function getBetweenColorByPercent(value:Number = 0.5, highColor:uint = 0xFFFFFF, lowColor:uint = 0x000000):uint {
			var r:uint = highColor >> 16;
			var g:uint = highColor >> 8 & 0xFF;
			var b:uint = highColor & 0xFF;
			
			r += ((lowColor >> 16) - r) * value;
			g += ((lowColor >> 8 & 0xFF) - g) * value;
			b += ((lowColor & 0xFF) - b) * value;
			
			return (r << 16 | g << 8 | b);
		}
	}
}