package helper
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;

	public class EntityHelper {
		public static function lowerCenterImage(image:Image):void {
			image.x -= Math.round(image.width / 2);
			image.y -= image.height;
		}

		public static function setHitboxForLowerCenterImage(entity:Entity, image:Image, borderX:uint = 0, borderY:uint = 0):void {
			entity.setHitbox(image.width - borderX*2, image.height - borderY, -image.x - borderX, -image.y - borderY);
		}
	}
}