package game.playState
{
	import net.flashpunk.Entity;
	import net.flashpunk.Graphic;
	import net.flashpunk.Mask;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Text;
	
	public class CompoundTextEntity extends Entity
	{
		protected var addPositionX:Number = 0;
		public var distance:Number = 0;
		
		public function CompoundTextEntity(x:Number, y:Number, layer:int)
		{
			super(x, y);
			
			this.layer = layer;
		}
		
		public function addTextAfter(text:Text):void
		{
			/*
			if (distance == 0)
			{
				var oldText:String = text.text;
				text.text = " ";
				distance = text.width;
				text.text = oldText;
			}
			*/
			
			text.x = addPositionX;
			
			addGraphic(text);
			
			addPositionX += text.width + distance;
			
			width += text.width + distance;
			height = text.height;
		}
		
		public function set alpha(value:Number):void
		{
			for each (var g:Graphic in (graphic as Graphiclist).children)
			{
				(g as Text).alpha = value;
			}
		}
		
		public function get alpha():Number
		{
			return ((graphic as Graphiclist).children[0] as Text).alpha;
		}
	}
}