package game.playState
{
	import flash.geom.Point;
	import flash.text.TextField;
	import flash.utils.flash_proxy;
	
	import flashx.textLayout.formats.Direction;
	
	import game.Constants;
	
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Draw;
	import net.flashpunk.utils.Input;
	
	public class Overlay extends Entity {
		public var alpha:Number = 1;
		public var color:uint = 0;
		
		public function Overlay(alpha:Number = 1) {
			super();
			
			width = FP.width;
			height = FP.height;
			
			this.alpha = alpha;
			
			layer = Constants.LAYER_OVERLAY;
		}
		
		override public function render():void {
			Draw.rect(x, y, width, height, color, alpha);
		}
	}
}